Skip to main content
GET
Queries all sales invoice corrections.

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Query Parameters

pageNumber
integer<int32>

Number of the page of items to fetch. Defaults to 1 when omitted.

pageSize
integer<int32>

Size of the page specified by PageNumber. Defaults to 100 when omitted.

sortBy
string

Property to sort by. Multiple comma-separated fields are applied in order (OrderBy, then ThenBy).

sortDescending
boolean

Sort in descending order. Defaults to ascending when omitted.

salesInvoiceCorrectionDateAfter
string<date-time>

Only include items whose SalesInvoiceCorrectionDate is after (greater than) this value.

salesInvoiceCorrectionDateBefore
string<date-time>

Only include items whose SalesInvoiceCorrectionDate is before (less than) this value.

printDateAfter
string<date-time>

Only include items whose PrintDate is after (greater than) this value.

printDateBefore
string<date-time>

Only include items whose PrintDate is before (less than) this value.

mailDateAfter
string<date-time>

Only include items whose MailDate is after (greater than) this value.

mailDateBefore
string<date-time>

Only include items whose MailDate is before (less than) this value.

cancelledDateAfter
string<date-time>

Only include items whose CancelledDate is after (greater than) this value.

cancelledDateBefore
string<date-time>

Only include items whose CancelledDate is before (less than) this value.

Response

Paged result.

totalItems
integer<int32>
pageNumber
integer<int32>
pageSize
integer<int32>
items
object[]
totalPages
integer<int32>
hasPreviousPage
boolean
hasNextPage
boolean
nextPageNumber
integer<int32>
previousPageNumber
integer<int32>